KMC_TOOLS-COUNTERS_SUBTRACT(1)

NAME
kmc_tools-counters_subtract - calculate counters subtraction of two KMC databases

SYNOPSIS

kmc_tools counters_subtract <input1 [input1_params]> <input2 [input2_params]> <output [output_params]>

DESCRIPTION

The output database will contain only k-mers that are present in the first input set and have counters higher than the appropriate k-mers in the second set. For each k-mer the counter is equal to the difference between the counter in the first set and the counter in the second set.

OPTIONS

For each input there are additional parameters:

-ci<value>
    exclude k-mers occurring less than <value> times

-cx<value>
    exclude k-mers occurring more of than <value> times

For output there are additional parameters:

-ci<value>
    exclude k-mers occurring less than <value> times

-cx<value>
    exclude k-mers occurring more of than <value> times

-cs<value>
    maximal value of a counter

EXAMPLE

    kmc - k28 file1.fastq kmers1 tmp
    kmc - k28 file2.fastq kmers2 tmp
    kmc_tools counters_subtract kmers1 kmers2 kmers1_kmers2_counters_subtract

AUTHOR

KMC was originally written by:

    • Sebastian Deorowicz (

    • Marek Kokot

    • Szymon Grabowski

    • Agnieszka Debudaj-Grabysz

COPYING

KMC is a free software distributed under GNU GPL3 licence for academic, research, and commercial use.